Subject: Re: Fw: [Bug 93901] New: TCP Fast Open uses

From: Rick Jones <[email-masked]>
Date: Thu, 26 Feb 2015 09:58:56 -0800

On 02/26/2015 08:13 AM, Eric Dumazet wrote:
> This is work in progress at Google, of course.
>
> Classic chicken and egg problem ;)

Does it need to be any more complicated than a sysctl which enables 
accepting an alternate (the experimental) option value in addition to 
the assigned, to be enabled (perhaps by default for a release or three) 
for the server side, and then just switching the active connection 
establishment side to the assigned number?

If the server is "old" and using the experimental version, the only 
thing that will happen is the clients using the standardized version 
will end-up falling back on the classic three-way handshake.  That 
doesn't seem so bad.  Particularly since that option value was 
"experimental" after all and presumably then not really meant for 
"production" purposes :)

rick jones